%global gittag R1_12_0M7

Name:      eclipse-emf-validation
Version:   1.12.0
Release:   1%{?dist}
Summary:   Verify the integrity of EMF models
License:   EPL
URL:       http://www.eclipse.org/modeling/emf/?project=validation

Source0:   http://git.eclipse.org/c/emf-validation/org.eclipse.emf.validation.git/snapshot/org.eclipse.emf.validation-%{gittag}.tar.xz

Patch0:    photon-build.patch

BuildArch:        noarch

BuildRequires:    eclipse-pde
BuildRequires:    eclipse-emf-runtime
BuildRequires:    eclipse-mdt-ocl >= 4.0.0
BuildRequires:    eclipse-contributor-tools
BuildRequires:    tycho
BuildRequires:    eclipse-license
BuildRequires:    maven-plugin-build-helper
BuildRequires:    maven-antrun-plugin
BuildRequires:    ant-contrib

%description
The validation component provides an API for defining constraints for any EMF
meta-model (batch and live constraints), provides an extensibility API to
support meta-models that require custom strategies for model traversal and
provides support for parsing the content of constraint elements defined in
specific languages. The validation framework provides support for two
languages: Java and OCL. It also provides API support to define "client
contexts" that describe the objects that need to be validated and to bind them
to constraints that need to be enforced on these objects and provides support
for listening to validation events.

%prep
%setup -q -n org.eclipse.emf.validation-%{gittag}
%patch0

%pom_remove_plugin org.eclipse.tycho:target-platform-configuration org.eclipse.emf.validation.releng
%pom_disable_module ../org.eclipse.emf.validation.master-feature org.eclipse.emf.validation.releng
%pom_disable_module ../org.eclipse.emf.validation.repository org.eclipse.emf.validation.releng

# Disable examples
%pom_xpath_remove "plugin[@id='org.eclipse.emf.validation.examples']" org.eclipse.emf.validation.doc-feature/feature.xml
%pom_disable_module ../org.eclipse.emf.validation.examples org.eclipse.emf.validation.releng/pom.xml
%pom_disable_module ../org.eclipse.emf.validation.examples.adapter org.eclipse.emf.validation.releng/pom.xml
%pom_disable_module ../org.eclipse.emf.validation.examples.general org.eclipse.emf.validation.releng/pom.xml
%pom_disable_module ../org.eclipse.emf.validation.examples.ocl org.eclipse.emf.validation.releng/pom.xml
%pom_disable_module ../org.eclipse.emf.validation.examples-feature org.eclipse.emf.validation.releng/pom.xml
%pom_disable_module ../org.eclipse.emf.validation.examples.source-feature org.eclipse.emf.validation.releng/pom.xml

%mvn_package "::pom::" __noinstall
%mvn_package ":*.tests" __noinstall
%mvn_package "::jar:{sources,sources-feature}:"

%build
%mvn_build -j -f -- -f org.eclipse.emf.validation.releng/pom.xml

%install
%mvn_install

%files -f .mfiles
%license org.eclipse.emf.validation-feature/epl-v10.html

%changelog
* Tue May 15 2018 Mat Booth <mat.booth@redhat.com> - 1.12.0-1
- Update to latest release

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed May 03 2017 Mat Booth <mat.booth@redhat.com> - 1.10.0-3
- Fix BR on eclipse-emf

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Oct 05 2016 Mat Booth <mat.booth@redhat.com> - 1.10.0-1
- Update to latest release
- Don't ship examples or tests

* Wed Jun 15 2016 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.9.0-6
- Add missing build-requires

* Wed Apr 20 2016 Alexander Kurtakov <akurtako@redhat.com> 1.9.0-5
- Remove examples from doc feature to unbreak build.

* Fri Mar 11 2016 Mat Booth <mat.booth@redhat.com> - 1.9.0-4
- Don't package example bundles

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Sep 14 2015 Roland Grunberg <rgrunber@redhat.com> - 1.9.0-2
- Rebuild as an Eclipse p2 Droplet.

* Thu Jun 25 2015 Alexander Kurtakov <akurtako@redhat.com> 1.9.0-1
- Update to Mars release.

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jun 4 2015 Alexander Kurtakov <akurtako@redhat.com> 1.8.0-1
- Update to upstream 1.8.
- Update to xmvn build.

* Thu Dec 4 2014 Alexander Kurtakov <akurtako@redhat.com> 1.6.0-7
- Adapt to emf-runtime dropins change.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 1.6.0-5
- Use Requires: java-headless rebuild (#1067528)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Apr 21 2013 Mat Booth <fedora@matbooth.co.uk> - 1.6.0-3
- Fix FTBFS rhbz #913952.

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Oct 20 2012 Mat Booth <fedora@matbooth.co.uk> - 1.6.0-1
- Update to latest version.
- Adapt to newer packaging guidelines.
- Fix FTBFS bug 843213.
- Include emf from new location during pdebuild.

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Sep 24 2010 Mat Booth <fedora@matbooth.co.uk> 1.4.0-1
- Update to Helios release.
- Fixes RHBZ #631222.

* Tue Nov 24 2009 Mat Booth <fedora@matbooth.co.uk> 1.3.1-2
- Don't pretty-print the package description.

* Fri Nov 13 2009 Mat Booth <fedora@matbooth.co.uk> 1.3.1-1
- New Validation spec file based on eclipse-gef.
